commit:     433e2e29397a2c2667deda2076b32e7bfc9368be
Author:     Arsen Arsenović <arsen <AT> aarsen <DOT> me>
AuthorDate: Sat Sep  4 23:10:14 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Sep  8 03:10:14 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=433e2e29

sys-apps/plocate: add plocate-1.1.11

Package-Manager: Portage-3.0.20, Repoman-3.0.3
Signed-off-by: Arsen Arsenović <arsen <AT> aarsen.me>
Closes: https://github.com/gentoo/gentoo/pull/22216
Signed-off-by: Sam James <sam <AT> gentoo.org>

 sys-apps/plocate/Manifest              |  1 +
 sys-apps/plocate/plocate-1.1.11.ebuild | 81 ++++++++++++++++++++++++++++++++++
 2 files changed, 82 insertions(+)

diff --git a/sys-apps/plocate/Manifest b/sys-apps/plocate/Manifest
index 7a35e770f07..14479462c62 100644
--- a/sys-apps/plocate/Manifest
+++ b/sys-apps/plocate/Manifest
@@ -1,2 +1,3 @@
 DIST plocate-1.1.10.tar.gz 72222 BLAKE2B 
2d84177454380c9e806a46a6e7057aca15b65c9d83179ba35062d0b8772e7cb3ff50d594c294d73157e7705d4b2eea3f12d07e614076e6a6c7a9b532f42640f5
 SHA512 
eee4a8982b8fff18793cd06c35cdea501226fae6409df02e8bed3d14feb3ed4ba6c29e907f36f5efb74202e8926547def83379b03aeb6348e1a6e7b51f12fdb9
+DIST plocate-1.1.11.tar.gz 72366 BLAKE2B 
2b945b3e61244670e2295e1e5abc2af65d2cdbb2393a96961cd4ae97384a735c327037771e6f41927cec0860207a6f98b7b0c2b03d08678bdb0d72a94dfa04f7
 SHA512 
59f88a11ebbac5f350acca6d1a5890ac1c1cb10c1de2e4e149df60fc63673eefa7f143b06f79ec4e59c65d435b3e222eba5618c48afab97983d76f56fbe8b433
 DIST plocate-1.1.8.tar.gz 71569 BLAKE2B 
06ad0e9535b76bf0102cdeeb6014e2d84f85f51f5926520566e9c6871f04ac09651bb0674ed679d2a4c0d4e516e55dfef35a7021112fad3549bf76993554aeb5
 SHA512 
a685347df64ac1a3eb7789cb7023b4d0ffed5fb7435a4bd88c3943991e145a387829532ec0c01d30d851b97b8d3173ff4c7c274775e639b75f0b1b45e5bca2a6

diff --git a/sys-apps/plocate/plocate-1.1.11.ebuild 
b/sys-apps/plocate/plocate-1.1.11.ebuild
new file mode 100644
index 00000000000..d198d630c59
--- /dev/null
+++ b/sys-apps/plocate/plocate-1.1.11.ebuild
@@ -0,0 +1,81 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit linux-info meson systemd
+
+DESCRIPTION="Posting locate is a much faster locate"
+HOMEPAGE="https://plocate.sesse.net/";
+SRC_URI="https://plocate.sesse.net/download/${P}.tar.gz";
+
+# GPL-2 for updatedb
+# GPL-2+ for plocate itself
+LICENSE="GPL-2 GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64"
+IUSE="+io-uring"
+
+RDEPEND="
+       acct-group/locate
+       app-arch/zstd:=
+       io-uring? ( sys-libs/liburing:= )
+       !sys-apps/mlocate
+"
+DEPEND="${RDEPEND}"
+
+CONFIG_CHECK="~IO_URING"
+ERROR_IO_URING="required for USE=io-uring"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-1.1.10-meson-use-feature-option-for-libiouring.patch
+)
+
+src_prepare() {
+       # We'll install the manpage ourself to locate.1
+       sed -i "/install_man('plocate.1')/d" meson.build || die
+
+       default
+}
+
+src_configure() {
+       local emesonargs=(
+               -Dlocategroup=locate
+               -Dinstall_systemd=true
+               -Dinstall_cron=false
+               -Dsystemunitdir="$(systemd_get_systemunitdir)"
+               "$(meson_feature io-uring use_libiouring)"
+       )
+       meson_src_configure
+}
+
+src_install() {
+       meson_src_install
+       dodoc README NEWS
+       newman "${S}"/${PN}.1 locate.1
+       dosym plocate /usr/bin/locate
+
+       insinto /etc
+       doins "${FILESDIR}"/updatedb.conf
+       doins "${FILESDIR}"/plocate-cron.conf
+       fperms 0644 /etc/{updatedb,plocate-cron}.conf
+
+       insinto /etc/cron.daily
+       # Ensure that the cron file has the same name as the
+       # systemd-timer, to avoid plocate being run twice daily on systems
+       # with a systemd compatiblity layer. See also bug #780351.
+       newins "${FILESDIR}"/plocate.cron plocate-updatedb
+       fperms 0755 /etc/cron.daily/plocate-updatedb
+
+       systemd_dounit "${BUILD_DIR}"/${PN}-updatedb.service 
"${S}"/${PN}-updatedb.timer
+}
+
+pkg_postinst() {
+       if [[ -z "${REPLACING_VERSIONS}" ]] ; then
+               elog "The database for the locate command is generated daily by 
a cron job,"
+               elog "if you install for the first time you can run the 
updatedb command manually now."
+               elog
+               elog "Note that the ${EROOT}/etc/updatedb.conf file is generic,"
+               elog "please customize it to your system requirements."
+       fi
+}

Reply via email to